Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class ANIMTrack

    java.lang.Object
      org.monte.media.anim.ANIMTrack

All Implemented Interfaces:
  Track

    public class ANIMTrack

extends java.lang.Object
implements Track

`ANIMTrack`.

Version:
  1.0 2011-02-20 Created.
Author:
  Werner Randelshofer

Constructor Summary
`ANIMTrack(ANIMDemultiplexer demux)`

Method Summary
`long` | `getPosition()` Gets the read position.
`long` | `getSampleCount()` Returns the numbers of samples in this track.
`void` | `read(Buffer buf)` Reads a sample from the input stream.
`void` | `setPosition(long pos)` Sets the read position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ANIMTrack

    public ANIMTrack(ANIMDemultiplexer demux)

Method Detail

### getSampleCount

    public long getSampleCount()

  Description copied from interface: `Track`
  Returns the numbers of samples in this track.

  Specified by:
    `getSampleCount` in interface `Track`

### setPosition

    public void setPosition(long pos)

  Description copied from interface: `Track`
  Sets the read position.

  Specified by:
    `setPosition` in interface `Track`

### getPosition

    public long getPosition()

  Description copied from interface: `Track`
  Gets the read position.

  Specified by:
    `getPosition` in interface `Track`

### read

    public void read(Buffer buf)

  Description copied from interface: `Track`
  Reads a sample from the input stream. If the end of the track is reached, the discard-flag in the buffer is set to true.

  Specified by:
    `read` in interface `Track`
  Parameters:
    `buf` - The buffer for the sample.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD